using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;
using GxPress.Request.App.Flow;
using Datory;
using GxPress.Entity.WorkMeeting;

namespace GxPress.Repository.Interface.WorkMeeting
{
    public interface IMeetingOrderRepository : IRepository
    {
        Task<int> InsertAsync(MeetingOrder item);

        Task<IEnumerable<MeetingOrder>> GetListAsync(int userId);

        Task<IEnumerable<MeetingOrder>> GetListByMeetingIdAsync(int meetingId);

        Task<IEnumerable<MeetingOrder>> GetListAsyncSinceNow(int roomId);

        Task<bool> DeleteAsync(int orderId);
        Task<bool> DeleteAsync(SqlKata.Query query);
        Task DeleteByRoomIdAsync(int roomId);

        Task DeleteByMeetingIdAsync(int meetingId);
    }
}